Package com.mapd.thrift.server

## Class TNodeMemoryInfo

- java.lang.Object
- - com.mapd.thrift.server.TNodeMemoryInfo

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TNodeMemoryInfo>`, `org.apache.thrift.TBase<TNodeMemoryInfo,​TNodeMemoryInfo._Fields>`, `org.apache.thrift.TSerializable`

    public class TNodeMemoryInfo
    extends Object
    implements org.apache.thrift.TBase<TNodeMemoryInfo,​TNodeMemoryInfo._Fields>, Serializable, Cloneable, Comparable<TNodeMemoryInfo>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TNodeMemoryInfo._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`String` `host_name`
`boolean` `is_allocation_capped`
`long` `max_num_pages`
`static Map<TNodeMemoryInfo._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`List<TMemoryData>` `node_memory_data`
`long` `num_pages_allocated`
`long` `page_size`

### Constructor Summary

Constructors
`TNodeMemoryInfo()`
`TNodeMemoryInfo​(TNodeMemoryInfo other)` Performs a deep copy on other.
`TNodeMemoryInfo​(String host_name, long page_size, long max_num_pages, long num_pages_allocated, boolean is_allocation_capped, List<TMemoryData> node_memory_data)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addToNode_memory_data​(TMemoryData elem)`
`void` `clear()`
`int` `compareTo​(TNodeMemoryInfo other)`
`TNodeMemoryInfo` `deepCopy()`
`boolean` `equals​(TNodeMemoryInfo that)`
`boolean` `equals​(Object that)`
`TNodeMemoryInfo._Fields` `fieldForId​(int fieldId)`
`Object` `getFieldValue​(TNodeMemoryInfo._Fields field)`
`String` `getHost_name()`
`long` `getMax_num_pages()`
`List<TMemoryData>` `getNode_memory_data()`
`Iterator<TMemoryData>` `getNode_memory_dataIterator()`
`int` `getNode_memory_dataSize()`
`long` `getNum_pages_allocated()`
`long` `getPage_size()`
`int` `hashCode()`
`boolean` `isIs_allocation_capped()`
`boolean` `isSet​(TNodeMemoryInfo._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetHost_name()` Returns true if field host_name is set (has been assigned a value) and false otherwise
`boolean` `isSetIs_allocation_capped()` Returns true if field is_allocation_capped is set (has been assigned a value) and false otherwise
`boolean` `isSetMax_num_pages()` Returns true if field max_num_pages is set (has been assigned a value) and false otherwise
`boolean` `isSetNode_memory_data()` Returns true if field node_memory_data is set (has been assigned a value) and false otherwise
`boolean` `isSetNum_pages_allocated()` Returns true if field num_pages_allocated is set (has been assigned a value) and false otherwise
`boolean` `isSetPage_size()` Returns true if field page_size is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`void` `setFieldValue​(TNodeMemoryInfo._Fields field, Object value)`
`TNodeMemoryInfo` `setHost_name​(String host_name)`
`void` `setHost_nameIsSet​(boolean value)`
`TNodeMemoryInfo` `setIs_allocation_capped​(boolean is_allocation_capped)`
`void` `setIs_allocation_cappedIsSet​(boolean value)`
`TNodeMemoryInfo` `setMax_num_pages​(long max_num_pages)`
`void` `setMax_num_pagesIsSet​(boolean value)`
`TNodeMemoryInfo` `setNode_memory_data​(List<TMemoryData> node_memory_data)`
`void` `setNode_memory_dataIsSet​(boolean value)`
`TNodeMemoryInfo` `setNum_pages_allocated​(long num_pages_allocated)`
`void` `setNum_pages_allocatedIsSet​(boolean value)`
`TNodeMemoryInfo` `setPage_size​(long page_size)`
`void` `setPage_sizeIsSet​(boolean value)`
`String` `toString()`
`void` `unsetHost_name()`
`void` `unsetIs_allocation_capped()`
`void` `unsetMax_num_pages()`
`void` `unsetNode_memory_data()`
`void` `unsetNum_pages_allocated()`
`void` `unsetPage_size()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### host_name

    public String host_name

#### page_size

    public long page_size

#### max_num_pages

    public long max_num_pages

#### num_pages_allocated

    public long num_pages_allocated

#### is_allocation_capped

    public boolean is_allocation_capped

#### node_memory_data

    public List<TMemoryData> node_memory_data

#### metaDataMap

    public static final Map<TNodeMemoryInfo._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TNodeMemoryInfo

    public TNodeMemoryInfo()

#### TNodeMemoryInfo

    public TNodeMemoryInfo​(String host_name,
                           long page_size,
                           long max_num_pages,
                           long num_pages_allocated,
                           boolean is_allocation_capped,
                           List<TMemoryData> node_memory_data)

#### TNodeMemoryInfo

    public TNodeMemoryInfo​(TNodeMemoryInfo other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TNodeMemoryInfo deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TNodeMemoryInfo,​TNodeMemoryInfo._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TNodeMemoryInfo,​TNodeMemoryInfo._Fields>`

#### getHost_name

    public String getHost_name()

#### setHost_name

    public TNodeMemoryInfo setHost_name​(String host_name)

#### unsetHost_name

    public void unsetHost_name()

#### isSetHost_name

    public boolean isSetHost_name()

Returns true if field host_name is set (has been assigned a value) and false otherwise

#### setHost_nameIsSet

    public void setHost_nameIsSet​(boolean value)

#### getPage_size

    public long getPage_size()

#### setPage_size

    public TNodeMemoryInfo setPage_size​(long page_size)

#### unsetPage_size

    public void unsetPage_size()

#### isSetPage_size

    public boolean isSetPage_size()

Returns true if field page_size is set (has been assigned a value) and false otherwise

#### setPage_sizeIsSet

    public void setPage_sizeIsSet​(boolean value)

#### getMax_num_pages

    public long getMax_num_pages()

#### setMax_num_pages

    public TNodeMemoryInfo setMax_num_pages​(long max_num_pages)

#### unsetMax_num_pages

    public void unsetMax_num_pages()

#### isSetMax_num_pages

    public boolean isSetMax_num_pages()

Returns true if field max_num_pages is set (has been assigned a value) and false otherwise

#### setMax_num_pagesIsSet

    public void setMax_num_pagesIsSet​(boolean value)

#### getNum_pages_allocated

    public long getNum_pages_allocated()

#### setNum_pages_allocated

    public TNodeMemoryInfo setNum_pages_allocated​(long num_pages_allocated)

#### unsetNum_pages_allocated

    public void unsetNum_pages_allocated()

#### isSetNum_pages_allocated

    public boolean isSetNum_pages_allocated()

Returns true if field num_pages_allocated is set (has been assigned a value) and false otherwise

#### setNum_pages_allocatedIsSet

    public void setNum_pages_allocatedIsSet​(boolean value)

#### isIs_allocation_capped

    public boolean isIs_allocation_capped()

#### setIs_allocation_capped

    public TNodeMemoryInfo setIs_allocation_capped​(boolean is_allocation_capped)

#### unsetIs_allocation_capped

    public void unsetIs_allocation_capped()

#### isSetIs_allocation_capped

    public boolean isSetIs_allocation_capped()

Returns true if field is_allocation_capped is set (has been assigned a value) and false otherwise

#### setIs_allocation_cappedIsSet

    public void setIs_allocation_cappedIsSet​(boolean value)

#### getNode_memory_dataSize

    public int getNode_memory_dataSize()

#### getNode_memory_dataIterator

    public Iterator<TMemoryData> getNode_memory_dataIterator()

#### addToNode_memory_data

    public void addToNode_memory_data​(TMemoryData elem)

#### getNode_memory_data

    public List<TMemoryData> getNode_memory_data()

#### setNode_memory_data

    public TNodeMemoryInfo setNode_memory_data​(List<TMemoryData> node_memory_data)

#### unsetNode_memory_data

    public void unsetNode_memory_data()

#### isSetNode_memory_data

    public boolean isSetNode_memory_data()

Returns true if field node_memory_data is set (has been assigned a value) and false otherwise

#### setNode_memory_dataIsSet

    public void setNode_memory_dataIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TNodeMemoryInfo._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TNodeMemoryInfo,​TNodeMemoryInfo._Fields>`

#### getFieldValue

    public Object getFieldValue​(TNodeMemoryInfo._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TNodeMemoryInfo,​TNodeMemoryInfo._Fields>`

#### isSet

    public boolean isSet​(TNodeMemoryInfo._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TNodeMemoryInfo,​TNodeMemoryInfo._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TNodeMemoryInfo that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TNodeMemoryInfo other)

Specified by:
  `compareTo` in interface `Comparable<TNodeMemoryInfo>`

#### fieldForId

    public TNodeMemoryInfo._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TNodeMemoryInfo,​TNodeMemoryInfo._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`